const _Http = getApp().globalData.http;
const MFT = require("../../utils/matchingFeilType");
Page({
    /**
     * 页面的初始数据
     */
    data: {
        active: 0,
        detailData: {},
        currentVideo: {},
    },
    tabChange({
        detail
    }) {
        console.log(detail)
        this.setData({
            active: detail.index
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let dataAuth = '';
        if (options.auth.includes('团队内部数据分析') && options.auth.includes('经销商数据分析')) {
            dataAuth = 'all';
        } else {
            dataAuth = options.auth.includes('团队内部数据分析') ? '内部' : '经销商'
        }
        this.setData({
            viewData: options.auth.includes('团队内部数据分析') || options.auth.includes('经销商数据分析'),
            dataAuth
        });

        _Http.basic({
            "classname": "saletool.courseware.courseware",
            "method": "selectDetail",
            "content": {
                "sat_coursewareid": options.id
            }
        }, false).then(res => {
            if (res.msg != '成功') return wx.showToast({
                title: res.msg,
                icon: "none"
            });
            let list = MFT.fileList(res.data.attinfos);
            this.setData({
                detailData: res.data,
                flieList: list,
                currentVideo: list.find(v => v.fileType == 'video')
            })
        });
    },

    callBack({
        detail
    }) {
        this.setData({
            currentVideo: detail
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})