const _Http = getApp().globalData.http,
    MFT = require("../../utils/matchingFeilType"),
    checkFile = require("../../utils/checkFile");
Page({
    /**
     * 页面的初始数据
     */
    data: {
        detailsData: {},
        dataType: 0
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            dataType: options.type
        })
        _Http.basic({
            "classname": "saletool.sharematerial.sharematerial",
            "method": "selectDetail",
            "content": {
                "sat_sharematerialid": options.id
            }
        }).then(res => {
            console.log("详情", res)
            if (res.msg != '成功') return wx.showToast({
                title: res.msg,
                icon: "none"
            })
            let data = res.data;
            if (data.attinfos.length) data.attinfos = MFT.fileList(data.attinfos);
            this.setData({
                detailsData: data
            })
        })
    },
    openFile(e) {
        checkFile.checkFile(e.currentTarget.dataset.item);
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {},

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})